## duplicity 0.5.16-0maemo7

=== debian/changelog ===
duplicity (0.5.16-0maemo7) fremantle; urgency=low

  * Remove sys.path.append to stay transportable.

 -- Kenneth Loafman <kenneth@loafman.com>  Mon, 27 Apr 2009 09:38:42 -0500

duplicity (0.5.16-0maemo6) fremantle; urgency=low

  * Use os.statvfs() rather than external df for this platform.

 -- Kenneth Loafman <kenneth@loafman.com>  Sun, 25 Apr 2009 17:52:23 -0500

duplicity (0.5.16-0maemo5) fremantle; urgency=low

  * Remove -P option from df for this platform.

 -- Kenneth Loafman <kenneth@loafman.com>  Sun, 25 Apr 2009 17:52:23 -0500

duplicity (0.5.16-0maemo4) fremantle; urgency=low

  * Fix dependencies.

 -- Kenneth Loafman <kenneth@loafman.com>  Sun, 25 Apr 2009 17:52:23 -0500

duplicity (0.5.16-0maemo3) fremantle; urgency=low

  * Correct section.
  * Append to sys.path for python-support.

 -- Kenneth Loafman <kenneth@loafman.com>  Wed, 22 Apr 2009 19:52:23 -0500

duplicity (0.5.16-0maemo2) fremantle; urgency=low

  * Force python2.5 install

 -- Kenneth Loafman <kenneth@loafman.com>  Wed, 22 Apr 2009 19:52:23 -0500

duplicity (0.5.16-0maemo1) fremantle; urgency=low

  * New upstream release

 -- Kenneth Loafman <kenneth@loafman.com>  Wed, 22 Apr 2009 19:52:23 -0500

duplicity (0.5.16-0hardy1) hardy; urgency=low

  * New upstream release

 -- Michael Terry <mike@mterry.name>  Tue, 21 Apr 2009 19:24:11 -0400

duplicity (0.5.15-0jaunty1) jaunty; urgency=low

  * New upstream release

 -- Michael Terry <mike@mterry.name>  Sun, 12 Apr 2009 14:55:15 -0400

duplicity (0.5.15-0intrepid1) intrepid; urgency=low

  * New upstream release

 -- Michael Terry <mike@mterry.name>  Sun, 12 Apr 2009 14:54:29 -0400

duplicity (0.5.15-0hardy1) hardy; urgency=low

  * New upstream release

 -- Michael Terry <mike@mterry.name>  Sun, 12 Apr 2009 14:53:30 -0400

duplicity (0.5.13-0intrepid1) intrepid; urgency=low

  [ Daniel Hahler ]
  * debian/rules:
    - add --install-layout=deb to setup.py

  * New upstream release
  * Drop 01boto-vars.dpatch, applied upstream
  * debian/rules:
    - s/site-packages/*-packages/
    - Fallback to not using --install-layout=deb if it is not supported

 -- Michael Terry <mike@mterry.name>  Sun, 29 Mar 2009 13:14:43 -0400

duplicity (0.5.13-0hardy1) hardy; urgency=low

  [ Daniel Hahler ]
  * debian/rules:
    - add --install-layout=deb to setup.py

  * New upstream release
  * Drop 01boto-vars.dpatch, applied upstream
  * debian/rules:
    - s/site-packages/*-packages/
    - Fallback to not using --install-layout=deb if it is not supported

 -- Michael Terry <mike@mterry.name>  Sun, 29 Mar 2009 12:46:52 -0400

duplicity (0.5.11-2) unstable; urgency=low

  * changed the setup to temporarily include upstream's repaired copy of
    GnuPGInterface.py: because of #509415 in python-gnupginterface
    duplicity currently does not work with public key encryption,
    no signing and archive dirs.

 -- Alexander Zangerl <az@debian.org>  Mon, 16 Mar 2009 15:57:01 +1000

duplicity (0.5.11-1) unstable; urgency=low

  * New upstream release (closes: #519576)

 -- Alexander Zangerl <az@debian.org>  Sat, 14 Mar 2009 09:14:57 +1000

duplicity (0.5.06-2) unstable; urgency=low

  * applied most recent upstream fixes

 -- Alexander Zangerl <az@debian.org>  Sat, 31 Jan 2009 14:31:17 +1000

duplicity (0.5.06-1) unstable; urgency=low

  * New upstream release
  * built against sid, not etch (closes: #513446)

 -- Alexander Zangerl <az@debian.org>  Fri, 30 Jan 2009 11:32:32 +1000

duplicity (0.5.02-2) unstable; urgency=low

  * lifted standards version
  * added homepage to control (closes: #512798)

 -- Alexander Zangerl <az@debian.org>  Wed, 28 Jan 2009 11:59:57 +1000

duplicity (0.5.02-1) unstable; urgency=low

  * New upstream release (closes: #502207)

 -- Alexander Zangerl <az@debian.org>  Wed, 15 Oct 2008 08:38:15 +1000

duplicity (0.4.12-2) unstable; urgency=low

  * applied upstream patch to repair --no-encryption option
    (which wrongly requested a passphrase) (closes: #497071)

 -- Alexander Zangerl <az@debian.org>  Sun, 31 Aug 2008 12:24:40 +1000

duplicity (0.4.12-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Thu, 21 Aug 2008 10:49:04 +1000

duplicity (0.4.11-2) unstable; urgency=high

  * rebuilt for testing's 2.5 python (closes: #480568)

 -- Alexander Zangerl <az@debian.org>  Sun, 11 May 2008 11:10:01 +1000

duplicity (0.4.11-1) unstable; urgency=low

  * New upstream release
  * make duplicity accept s3 access credentials from boto config files
    and not just the environment (closes: #480417)

 -- Alexander Zangerl <az@debian.org>  Sat, 10 May 2008 11:17:39 +1000

duplicity (0.4.10-2) unstable; urgency=low

  * applied patch to work around newer python-boto behaviour
    which can make existing S3 backups inaccessible. (closes: #475890)

 -- Alexander Zangerl <az@debian.org>  Tue, 15 Apr 2008 12:46:32 +1000

duplicity (0.4.10-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Mon, 31 Mar 2008 22:19:16 +1000

duplicity (0.4.8-1) unstable; urgency=high

  * New upstream release
  * fixed backup data corruption for rsync backend

 -- Alexander Zangerl <az@debian.org>  Fri, 21 Dec 2007 17:16:42 +1000

duplicity (0.4.7-1) unstable; urgency=low

  * New upstream release (closes: #452700)

 -- Alexander Zangerl <az@debian.org>  Sat,  8 Dec 2007 10:29:26 +1000

duplicity (0.4.3-6) unstable; urgency=low

  * fixed some manpage typos (closes: #450881)

 -- Alexander Zangerl <az@debian.org>  Thu, 15 Nov 2007 12:21:48 +1000

duplicity (0.4.3-5) unstable; urgency=low

  * minor manpage improvements in response to #447538

 -- Alexander Zangerl <az@debian.org>  Wed, 24 Oct 2007 12:22:14 +1000

duplicity (0.4.3-4) unstable; urgency=low

  * applied Christoph Martin's patch to the ftp backend
    to make duplicity cooperate with etch's ncftp (closes: #444972)

 -- Alexander Zangerl <az@debian.org>  Sat,  6 Oct 2007 20:02:43 +1000

duplicity (0.4.3-3) unstable; urgency=medium



## duplicity 0.5.17-0maemo1

=== debian/changelog ===
duplicity (0.5.17-0maemo1) fremantle; urgency=low

  * Changes for 0.5.17.

 -- Kenneth Loafman <kenneth@loafman.com>  Mon, 04 May 2009 08:25:49 -0500

## duplicity 0.5.18-0maemo1

=== debian/changelog ===
duplicity (0.5.18-0maemo1) fremantle; urgency=low

  * Changes for 0.5.18.

 -- Kenneth Loafman <kenneth@loafman.com>  Wed, 20 May 2009 17:23:03 -0500

## duplicity 0.6.01-0maemo1

=== debian/changelog ===
duplicity (0.6.01-0maemo1) fremantle; urgency=low

  * Changes for 0.6.01.  New upstream release.

 -- Kenneth Loafman <kenneth@loafman.com>  Thu, 02 Jul 2009 07:33:21 -0500

duplicity (0.6.00-0maemo1) fremantle; urgency=low

  * Changes for 0.6.00 -- Checkpoint/Restart added.

 -- Kenneth Loafman <kenneth@loafman.com>  Wed, 20 May 2009 17:23:03 -0500

## duplicity 0.6.01-0maemo2

=== debian/changelog ===
duplicity (0.6.01-0maemo2) fremantle; urgency=low

  * Remove support for cloudfiles backend until I can port
    the python-cloudfiles module to Maemo.

 -- Kenneth Loafman <kenneth@loafman.com>  Thu, 02 Jul 2009 07:33:21 -0500

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

PREFIX := debian/duplicity/usr
PYTHON := python2.5

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


# we use dpatch
include /usr/share/dpatch/dpatch.make


configure: configure-stamp
configure-stamp:
	dh_testdir
# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp

build-stamp: patch configure-stamp
	dh_testdir

# Add here commands to compile the package.
	$(PYTHON) setup.py build
	touch build-stamp


clean: clean1 unpatch
clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

# Add here commands to clean up after the build process.
	rm -rf *.pyc
	rm -rf build
	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Add here commands to install the package into debian/duplicity.
	$(PYTHON) setup.py install --prefix=$(PREFIX)

# remove docs as we create them with debhelper
	rm -rf $(PREFIX)/share/doc/duplicity-*

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG Changelog.GNU
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_shlibdeps
#	dh_pysupport
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## duplicity 0.6.01-0maemo3

=== debian/changelog ===
duplicity (0.6.01-0maemo3) fremantle; urgency=low

  * Remove support for tahoe backend until I can port
    the python-tahoe module to Maemo.

 -- Kenneth Loafman <kenneth@loafman.com>  Thu, 02 Jul 2009 10:10:00 -0500

## duplicity 0.7.17

=== requirements.txt ===
boto
coverage
dropbox==6.9.0
fasteners
paramiko
pep8
pexpect
pydrive
pylint
pyrax
python-cloudfiles
tox
urllib3

## duplicity 0.6.02-0maemo1

=== debian/changelog ===
duplicity (0.6.02-0maemo1) fremantle; urgency=low

  * Changes for 0.6.02.  New upstream release.

 -- Kenneth Loafman <kenneth@loafman.com>  Thu, 08 Jul 2009 11:59:00 -0500

=== debian/control ===
Source: duplicity
Section: user/utilities
Priority: optional
Maintainer: Kenneth Loafman <kenneth@loafman.com>
Build-Depends: debhelper (>= 5), librsync-dev (>=0.9.7), python2.5, python2.5-dev,
			   libreadline4, dpatch, gnupg
Standards-Version: 3.8.0

Package: duplicity
Architecture: any
Depends: ${shlibs:Depends}, python2.5, gnupg, librsync1 (>=0.9.7)
Suggests: python-boto, ncftp
Description: encrypted bandwidth-efficient backup
 Duplicity backs directories by producing encrypted tar-format volumes
 and uploading them to a remote or local file server. Because duplicity
 uses librsync, the incremental archives are space efficient and only
 record the parts of files that have changed since the last backup.
 Because duplicity uses GnuPG to encrypt and/or sign these archives, they
 will be safe from spying and/or modification by the server.

## duplicity 0.6.04-0maemo1

=== debian/changelog ===
duplicity (0.6.04-0maemo1) fremantle; urgency=low

  * Changes for 0.6.04.  New upstream release.

 -- Kenneth Loafman <kenneth@loafman.com>  Sun, 02 Aug 2009 07:27:08 -0500

## duplicity 0.6.23

=== debian/changelog ===
duplicity (0.6.23-1ubuntu4) trusty; urgency=medium

  * debian/patches/skip-flaky-test.patch:
    - One of the tests is failing on ppc64el because the test relies on
      guessing how many volumes duplicity will split a bunch of random
      data into.  But that's an inherently sketchy guess to make.
      Just disable for now until we can work with upstream on a better
      fix.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 09 Apr 2014 09:51:13 -0400

duplicity (0.6.23-1ubuntu3) trusty; urgency=medium

  * debian/patches/print-encode.patch:
    - The print Python command has trouble with unicode, so for the few
      user-visible messages where we directly print to console, instead
      send the string through duplicity's log framework which can handle
      unicode gracefully.  Stops frequent crashes in non-English locales.
      LP: #1286845

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Apr 2014 15:15:32 -0400

duplicity (0.6.23-1ubuntu2) trusty; urgency=medium

  * debian/patches/getpass-encode.patch:
    - Always pass getpass a bytes string, preventing a crash when
      prompting the user for a passphrase in non-English locales.
      LP: #1276327

 -- Michael Terry <mterry@ubuntu.com>  Sat, 22 Feb 2014 10:39:21 -0500

duplicity (0.6.23-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable tests during build
    - Add simple dep8 test that does a backup/restore cycle
    - Drop Recommends for various backends to Suggests
    - debian/patches/{01-reverify,02-unicode}: Disabled, upstream fixed
      the bugs these patches work around
  * debian/control:
    - Add Breaks on older versions of deja-dup due to new lockfile support

 -- Michael Terry <mterry@ubuntu.com>  Wed, 19 Feb 2014 12:02:20 -0500

duplicity (0.6.23-1) unstable; urgency=low

  * New upstream release (closes: #737086, #541788)
  * improved u1 url documentation (closes: #697426)
  * fixed packaging for ssh+pexpect storage backend (closes: #688642)
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Sat, 01 Feb 2014 13:44:16 +1000

duplicity (0.6.23-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * Drop all patches, all applied upstream

 -- Michael Terry <mterry@ubuntu.com>  Thu, 30 Jan 2014 17:16:04 -0500

duplicity (0.6.22-2) unstable; urgency=low

  * updated manpage to improve description of 
    option --extra-clean (see #724594).
  * added python-swiftclient to suggests for the 
    new openstack swift backend (closes: #732221)
  * applied upstream patch for LP: #1218425 to fix backups 
    to S3 (closes: #732347). 

 -- Alexander Zangerl <az@debian.org>  Fri, 20 Dec 2013 17:35:29 +1000

duplicity (0.6.22-1ubuntu3) trusty; urgency=low

  * debian/patches/04-dont-skip-first-chunk-on-restart.patch:
    - When restarting a backup, if the file we were in the middle of
      backing up is now deleted, don't skip the first 65k chunk of the
      next file.  Patch backported from upstream trunk.  LP: #1252484

 -- Michael Terry <mterry@ubuntu.com>  Mon, 18 Nov 2013 16:51:52 -0500

duplicity (0.6.22-1ubuntu2) trusty; urgency=low

  * debian/control: Drop Recommends to Suggests again.  We don't need
    to pick favorites among the backends or clutter the image.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 23 Oct 2013 09:35:04 -0400

duplicity (0.6.22-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable tests during build
    - Add simple dep8 test that does a backup/restore cycle
    - debian/patches/03-ignoremissing: Backport fix from trunk to correctly
      ignore missing files in some cases.
    - debian/patches/01-reverify: Disabled, upstream fixed the bug that
      this patch is working around. 

 -- Michael Terry <mterry@ubuntu.com>  Tue, 22 Oct 2013 16:13:18 -0400

duplicity (0.6.22-1) unstable; urgency=low

  * New upstream release
  * changed to 3.0 quilt source format (closes: #671636)
  * lilfted debhelper compat level

 -- Alexander Zangerl <az@debian.org>  Mon, 16 Sep 2013 11:49:18 +1000

duplicity (0.6.21-3) unstable; urgency=low

  * backported fixes for LP: #1115715 and #1156746, which
    caused failures of the ssh/sftp backend (closes: #715803)

 -- Alexander Zangerl <az@debian.org>  Thu, 18 Jul 2013 11:44:58 +1000

duplicity (0.6.21-2) unstable; urgency=low

  * backported fix for LP: #1161599 which caused almost certain 
    failure of the ubuntu1 backend
  
 -- Alexander Zangerl <az@debian.org>  Fri, 31 May 2013 11:21:44 +1000

duplicity (0.6.21-1) unstable; urgency=low

  * New upstream release (closes: #611465, #677217)
  * updated dependencies

 -- Alexander Zangerl <az@debian.org>  Fri, 24 May 2013 11:22:46 +1000

duplicity (0.6.21-0ubuntu4) saucy; urgency=low

  * debian/patches/02ignoremissing.dpatch:
    - Fix patch to not try to handle non-OSError exceptions

 -- Michael Terry <mterry@ubuntu.com>  Thu, 12 Sep 2013 11:16:32 -0400

duplicity (0.6.21-0ubuntu3) saucy; urgency=low

  * debian/patches/02ignoremissing.dpatch:
    - Fix a utility function that tried to ignore missing files, but
      didn't.  Fixes a possible crasher.  LP: #1216921
      Patch by Matthias Witte.

 -- Michael Terry <mterry@ubuntu.com>  Thu, 12 Sep 2013 10:55:24 -0400

duplicity (0.6.21-0ubuntu2) saucy; urgency=low

  * debian/patches/01u1backend.dpatch:
    - Backport some fixes for avoiding "400" errors when backing up to
      Ubuntu One.  Patch by Christopher Townsend.  LP: #1161599

 -- Michael Terry <mterry@ubuntu.com>  Wed, 15 May 2013 16:11:24 -0400

duplicity (0.6.21-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/patches/02cachedesync.dpatch,
    debian/patches/03u1backend.dpatch,
    debian/patches/07caching.dpatch,
    debian/patches/08volcorruption.dpatch:
    - Dropped, applied upstream

 -- Michael Terry <mterry@ubuntu.com>  Wed, 23 Jan 2013 14:32:15 -0500

duplicity (0.6.20-3) unstable; urgency=low

  * implement workaround for unicode issues with the logger;


=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PREFIX := debian/duplicity/usr


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

CFLAGS += $(shell  dpkg-buildflags --get CFLAGS)
export CFLAGS
export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

configure: configure-stamp
configure-stamp:
	dh_testdir
# Add here commands to configure the package.
	touch configure-stamp

build-arch: build
build-indep: build

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	./testing/run-tests

# Add here commands to compile the package.
	python setup.py build
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

# Add here commands to clean up after the build process.
	rm -rf *.pyc
	rm -rf build
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

# Add here commands to install the package into debian/duplicity.
	python setup.py install --prefix=$(PREFIX) --no-compile --install-layout=deb

# remove local GnuPGInterface.py as we use the packaged version 
	rm -f $(PREFIX)/lib/python*/*-packages/duplicity/GnuPGInterface.py

# remove docs as we create them with debhelper
	rm -rf $(PREFIX)/share/doc/duplicity-*


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	# for some odd reason dh_python2 always dies with "must build for 2.5"
	# unless the version guessing is switched off...
	dh_python2 --no-guessing-versions
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs CHANGELOG
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/tests/control ===
Tests: full-cycle-local

## duplicity 0.6.24

=== debian/changelog ===
duplicity (0.6.24-1) unstable; urgency=low

  * New upstream release
  * updated build-dependencies (python-setuptool)
  
 -- Alexander Zangerl <az@debian.org>  Tue, 10 Jun 2014 20:57:40 +1000

=== debian/control ===
Source: duplicity
Section: utils
Priority: optional
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 8.0.0), librsync-dev (>=0.9.6), python-dev (>= 2.6.6-3), python-setuptools
Standards-Version: 3.9.5
X-Python-Version: >= 2.5

Package: duplicity
Architecture: any
Homepage: http://duplicity.nongnu.org/
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-lockfile
Recommends: rsync, python-paramiko, python-urllib3, python-oauthlib
Suggests: python-boto, ncftp, python-cloudfiles, lftp, python-gdata, tahoe-lafs, python-swiftclient
Description: encrypted bandwidth-efficient backup
 Duplicity backs directories by producing encrypted tar-format volumes
 and uploading them to a remote or local file server. Because duplicity
 uses librsync, the incremental archives are space efficient and only
 record the parts of files that have changed since the last backup.
 Because duplicity uses GnuPG to encrypt and/or sign these archives, they
 will be safe from spying and/or modification by the server.

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,6 @@
 
 build-stamp: configure-stamp 
 	dh_testdir
-	./testing/run-tests
 
 # Add here commands to compile the package.
 	python setup.py build

## duplicity 0.7.01

=== debian/changelog ===
duplicity (0.7.01-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable tests during build
    - Add simple dep8 test that does a backup/restore cycle
    - debian/patches/{01-reverify,02-unicode}: Disabled, upstream fixed
      the bugs these patches work around
    - debian/patches/skip-some-tests.patch: Skip a flaky test and tests
      that use par2, which is in universe

 -- Michael Terry <mterry@ubuntu.com>  Wed, 04 Feb 2015 12:36:25 -0500

duplicity (0.7.01-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Sun, 25 Jan 2015 17:42:41 +1000

duplicity (0.6.24-2) unstable; urgency=low

  * applied patch to allow key id formats other than the short
  8-char hex form (closes: #773117)

 -- Alexander Zangerl <az@debian.org>  Mon, 15 Dec 2014 21:09:50 +1000

duplicity (0.6.23-1ubuntu5) utopic; urgency=medium

  * debian/patches/exception-encode.patch:
    - More encoding issue fixes, this time with filenames in exceptions
      and if the target path has utf8 characters in it.  LP: #1289288,
      LP: #1311176, LP: #1313966

 -- Michael Terry <mterry@ubuntu.com>  Tue, 29 Apr 2014 20:16:15 -0400

=== debian/control ===
Source: duplicity
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 8.0.0), librsync-dev (>=0.9.6), python-dev (>= 2.6.6-3), python-setuptools, rdiff, gnupg, python-lockfile, python-mock, python-pexpect
Standards-Version: 3.9.5
X-Python-Version: >= 2.5
XS-Testsuite: autopkgtest

Package: duplicity
Architecture: any
Homepage: http://duplicity.nongnu.org/
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-lockfile
Suggests: rsync, python-paramiko, python-urllib3, python-oauthlib, python-boto, ncftp, python-cloudfiles, lftp, python-gdata, tahoe-lafs, python-swiftclient
Description: encrypted bandwidth-efficient backup
 Duplicity backs directories by producing encrypted tar-format volumes
 and uploading them to a remote or local file server. Because duplicity
 uses librsync, the incremental archives are space efficient and only
 record the parts of files that have changed since the last backup.
 Because duplicity uses GnuPG to encrypt and/or sign these archives, they
 will be safe from spying and/or modification by the server.

## duplicity 0.7.02

=== debian/changelog ===
duplicity (0.7.02-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable tests during build
    - Add simple dep8 test that does a backup/restore cycle
    - debian/patches/{01-reverify,02-unicode}: Disabled, upstream fixed
      the bugs these patches work around
    - debian/patches/skip-some-tests.patch: Skip a flaky test and tests
      that use par2, which is in universe

 -- Michael Terry <mterry@ubuntu.com>  Mon, 11 May 2015 12:08:19 -0400

duplicity (0.7.02-1) unstable; urgency=low

  * New upstream release (closes: #776858, #744064, #731621)
  * updated News.debian for scp://+rssh info (closes: #776691)

 -- Alexander Zangerl <az@debian.org>  Thu, 05 Feb 2015 23:39:57 +1000

## duplicity 0.7.06

=== debian/changelog ===
duplicity (0.7.06-2ubuntu2) xenial; urgency=medium

  * debian/patches/fix-some-tests.patch:
    - Fix a test's use of tempfile to make sure the directory
      used exists first.

 -- Michael Terry <mterry@ubuntu.com>  Thu, 18 Feb 2016 09:02:18 -0500

duplicity (0.7.06-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable tests during build
    - Add simple dep8 test that does a backup/restore cycle
    - Drop Recommends for various backends to Suggests
    - debian/patches/{01-reverify,02-unicode}: Disabled, upstream fixed
      the bugs these patches work around
    - debian/patches/skip-some-tests.patch: Skip flaky tests and tests
      that use par2, which is in universe

 -- Michael Terry <mterry@ubuntu.com>  Wed, 17 Feb 2016 17:46:26 -0500

duplicity (0.7.06-2) unstable; urgency=low

  * make the gpg passphrase prompt a bit more informative/consistent
    (closes: #814573)

 -- Alexander Zangerl <az@debian.org>  Wed, 17 Feb 2016 20:54:03 +1000

duplicity (0.7.06-1) unstable; urgency=low

  * New upstream release (closes: #799237, #810675)

 -- Alexander Zangerl <az@debian.org>  Fri, 15 Jan 2016 20:59:33 +1000

duplicity (0.7.05-2) unstable; urgency=high

  * repaired packaging mistake (the lockfile versioned dependency
    didn't include the epoch) (closes: #804282)

 -- Alexander Zangerl <az@debian.org>  Sat, 07 Nov 2015 10:38:50 +1000

duplicity (0.7.05-1ubuntu2) xenial; urgency=medium

  * debian/patches/skip-some-tests.patch: Skip another couple flaky
    tests that relied on the compressed size of a random stream of
    bytes.  Fixes FTBFS.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 04 Nov 2015 14:23:42 -0500

duplicity (0.7.05-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable tests during build
    - Add simple dep8 test that does a backup/restore cycle
    - Drop Recommends for various backends to Suggests
    - debian/patches/{01-reverify,02-unicode}: Disabled, upstream fixed
      the bugs these patches work around
    - debian/patches/skip-some-tests.patch: Skip a flaky test and tests
      that use par2, which is in universe

 -- Michael Terry <mterry@ubuntu.com>  Wed, 04 Nov 2015 13:18:45 -0500

duplicity (0.7.05-1) unstable; urgency=low

  * New upstream release
  * updated for newer python-lockfile api (closes: #789550)

 -- Alexander Zangerl <az@debian.org>  Mon, 26 Oct 2015 11:32:32 +1000

duplicity (0.7.03-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Sun, 07 Jun 2015 13:04:27 +1000

duplicity (0.7.02-2) unstable; urgency=low

  * fix upstream regression introduced in revision 1070
    (closes: #784814)

 -- Alexander Zangerl <az@debian.org>  Mon, 11 May 2015 20:17:02 +1000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alexander Zangerl <az@debian.org>
-Build-Depends: debhelper (>= 8.0.0), librsync-dev (>=0.9.6), python-dev (>= 2.6.6-3), python-setuptools, rdiff, gnupg, python-lockfile, python-mock, python-pexpect
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 8.0.0), librsync-dev (>=0.9.6), python-dev (>= 2.6.6-3), python-setuptools, rdiff, gnupg, python-lockfile (>> 0.9), python-mock, python-pexpect
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
-XS-Testsuite: autopkgtest
 
 Package: duplicity
 Architecture: any
 Homepage: http://duplicity.nongnu.org/
-Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-lockfile
+Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-lockfile (>> 1:0.9)
 Suggests: rsync, python-paramiko, python-urllib3, python-oauthlib, python-boto, ncftp, python-cloudfiles, lftp, python-gdata, tahoe-lafs, python-swiftclient
 Description: encrypted bandwidth-efficient backup
  Duplicity backs directories by producing encrypted tar-format volumes

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,7 @@
 
 build-stamp: configure-stamp 
 	dh_testdir
+	python setup.py test
 
 # Add here commands to compile the package.
 	python setup.py build

## duplicity 0.7.10

=== debian/changelog ===
duplicity (0.7.10-1~bpo8+1) jessie-backports; urgency=medium

  * backport-build for jessie

 -- Alexander Zangerl <az@debian.org>  Sat, 03 Sep 2016 14:18:21 +1000

duplicity (0.7.10-1) unstable; urgency=medium

  * New upstream release (closes: #782237)

 -- Alexander Zangerl <az@debian.org>  Fri, 26 Aug 2016 11:57:48 +1000

duplicity (0.7.07.1-2) unstable; urgency=low

  * applied patch by malte schröder to fix conflict between
	  ignorecase option and upper case file names (closes: #826157)

 -- Alexander Zangerl <az@debian.org>  Sat, 04 Jun 2016 14:58:19 +1000

duplicity (0.7.07.1-1) unstable; urgency=medium

  * New upstream release (closes: #822484)

 -- Alexander Zangerl <az@debian.org>  Mon, 25 Apr 2016 17:03:32 +1000

duplicity (0.7.07-1) unstable; urgency=medium

  * New upstream release
  * applied patch for python-oauth2 2.x's incompatible api (closes: #820725)

 -- Alexander Zangerl <az@debian.org>  Sat, 16 Apr 2016 10:11:11 +1000

=== debian/control ===
Source: duplicity
Section: utils
Priority: optional
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 8.0.0), librsync-dev (>=0.9.6), python-dev (>= 2.6.6-3), python-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.5

Package: duplicity
Architecture: any
Homepage: http://duplicity.nongnu.org/
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-lockfile (>> 1:0.8)
Recommends: rsync, python-paramiko, python-urllib3, python-oauthlib
Suggests: python-boto, ncftp, python-cloudfiles, lftp, python-gdata, tahoe-lafs, python-swiftclient
Description: encrypted bandwidth-efficient backup
 Duplicity backs directories by producing encrypted tar-format volumes
 and uploading them to a remote or local file server. Because duplicity
 uses librsync, the incremental archives are space efficient and only
 record the parts of files that have changed since the last backup.
 Because duplicity uses GnuPG to encrypt and/or sign these archives, they
 will be safe from spying and/or modification by the server.

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-# Add here commands to configure the package.
+	rm -rf debian.upstream
 	touch configure-stamp
 
 build-arch: build
@@ -33,7 +33,6 @@
 
 build-stamp: configure-stamp 
 	dh_testdir
-	python setup.py test
 
 # Add here commands to compile the package.
 	python setup.py build

## duplicity 0.7.11

=== debian/changelog ===
duplicity (0.7.11-1) unstable; urgency=medium

  * New upstream release (closes: #848943, #842552)
  * lifted standards version, switched to dh-python build-dep

 -- Alexander Zangerl <az@debian.org>  Thu, 26 Jan 2017 13:48:47 +1000

duplicity (0.7.10-2) unstable; urgency=medium

  * moved homepage in control (closes: #839712)
  * updated example script (closes: #839732)

 -- Alexander Zangerl <az@debian.org>  Thu, 06 Oct 2016 19:58:53 +1000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Alexander Zangerl <az@debian.org>
-Build-Depends: debhelper (>= 8.0.0), librsync-dev (>=0.9.6), python-dev (>= 2.6.6-3), python-setuptools
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 8.0.0), librsync-dev (>=0.9.6), python-dev (>= 2.6.6-3), dh-python, python-setuptools
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.5
+Homepage: http://duplicity.nongnu.org/
+
 
 Package: duplicity
 Architecture: any
-Homepage: http://duplicity.nongnu.org/
-Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-lockfile (>> 1:0.8)
+Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-lockfile (>> 1:0.9)
 Recommends: rsync, python-paramiko, python-urllib3, python-oauthlib
 Suggests: python-boto, ncftp, python-cloudfiles, lftp, python-gdata, tahoe-lafs, python-swiftclient
 Description: encrypted bandwidth-efficient backup

=== debian/rules ===
--- 
+++ 
@@ -69,9 +69,7 @@
 
 # Build architecture-dependent files here.
 binary-arch: build install
-	# for some odd reason dh_python2 always dies with "must build for 2.5"
-	# unless the version guessing is switched off...
-	dh_python2 --no-guessing-versions
+	dh_python2
 	dh_testdir
 	dh_testroot
 	dh_installdocs

## duplicity 0.7.12

=== debian/changelog ===
duplicity (0.7.12-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable tests during build and add a simple dep8 test
    - Drop Recommends for various backends to Suggests
    - d/p/{01-reverify,02-unicode}: Disabled, upstream fixed the issues
    - d/p/skip-some-tests.patch: Skip flaky tests

 -- Michael Terry <mterry@ubuntu.com>  Wed, 03 May 2017 08:14:21 +0000

duplicity (0.7.12-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Sat, 29 Apr 2017 12:11:57 +1000

duplicity (0.7.11-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable (LP: #1669616).  Remaining changes:
    - Enable tests during build and add a simple dep8 test
    - Drop Recommends for various backends to Suggests
    - d/p/{01-reverify,02-unicode}: Disabled, upstream fixed the issues
    - d/p/skip-some-tests.patch: Skip flaky tests
    - d/p/backport-gpg2.patch: Improve support for gpg2

 -- Michael Terry <mterry@ubuntu.com>  Thu, 27 Apr 2017 09:28:22 -0400

duplicity (0.7.06-2ubuntu3) zesty; urgency=medium

  * d/p/backport-fix-tags-in-locked-folders.patch:
    - Fix OSError looking for tag in locked folders with exclude-if-present
      (LP: #1620085)
  * d/p/backport-crash-on-restore.patch:
    - Guard a chown call to avoid a stacktrace (LP: #1642813)
  * d/p/backport-ignore-excluded-locked-files.patch:
    - Ignore excluded locked files rather than giving noisy errors
      (LP: #1089131)
  * d/p/backport-downgrade-error.patch:
    - Make locked file messages be warnings not errors, again.  This avoids
      confusing deja-dup.  (LP: #1605939)
  * d/p/backport-flush-after-write.patch:
    - Flush after writing a temp file, to keep disk in sync (LP: #1538333)
  * d/p/backport-gpg2.patch:
    - Improve support for gpg2 (fixing FTBFS in process)

 -- Michael Terry <mterry@ubuntu.com>  Tue, 07 Mar 2017 18:48:01 -0500

=== debian/control ===
Source: duplicity
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 8.0.0), librsync-dev (>=0.9.6), python-dev (>= 2.6.6-3), dh-python, python-setuptools, rdiff, gnupg, par2, python-lockfile (>> 0.9), python-mock, python-pexpect
Standards-Version: 3.9.8
X-Python-Version: >= 2.5
Homepage: http://duplicity.nongnu.org/


Package: duplicity
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-lockfile (>> 1:0.9)
Suggests: rsync, python-paramiko, python-urllib3, python-oauthlib, python-boto, ncftp, python-cloudfiles, lftp, python-gdata, tahoe-lafs, python-swiftclient
Description: encrypted bandwidth-efficient backup
 Duplicity backs directories by producing encrypted tar-format volumes
 and uploading them to a remote or local file server. Because duplicity
 uses librsync, the incremental archives are space efficient and only
 record the parts of files that have changed since the last backup.
 Because duplicity uses GnuPG to encrypt and/or sign these archives, they
 will be safe from spying and/or modification by the server.

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,7 @@
 
 build-stamp: configure-stamp 
 	dh_testdir
+	python setup.py test
 
 # Add here commands to compile the package.
 	python setup.py build

## duplicity 0.7.17

=== debian/changelog ===
duplicity (0.7.17-0ubuntu1) bionic; urgency=medium

  * New upstream bug-fix release
    - Reverts a new feature that required too much memory, causing
      OOM crashes (LP: #1730451)

 -- Michael Terry <mterry@ubuntu.com>  Tue, 13 Mar 2018 11:12:30 -0400

duplicity (0.7.16-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add a simple dep8 test
    - Drop Recommends for various backends to Suggests
    - d/p/{01-reverify,02-unicode}: Disabled, upstream fixed the issues

 -- Michael Terry <mterry@ubuntu.com>  Tue, 23 Jan 2018 19:52:59 -0500

duplicity (0.7.16-1) unstable; urgency=low

  * New upstream release (closes: #802234, #880111)
  * lifted standards version
  * testsuite adjusted, test file unpack command
    no longer discards all diagnostic output

 -- Alexander Zangerl <az@debian.org>  Sun, 14 Jan 2018 14:17:28 +1000

duplicity (0.7.15-0ubuntu1) bionic; urgency=medium

  * New upstream release
    - Fixes memory consumption issues (LP: #1733326)

 -- Michael Terry <mterry@ubuntu.com>  Sat, 25 Nov 2017 17:27:26 -0500

duplicity (0.7.14-2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add a simple dep8 test
    - Drop Recommends for various backends to Suggests
    - d/p/{01-reverify,02-unicode}: Disabled, upstream fixed the issues

 -- Michael Terry <mterry@ubuntu.com>  Sat, 11 Nov 2017 09:29:26 -0500

duplicity (0.7.14-2) unstable; urgency=medium

  * adjusted testsuite to not bother with TZ-dependent
    time/date assertion, which seems to fail under sbuild/schroot
    (closes: #880251)

 -- Alexander Zangerl <az@debian.org>  Fri, 03 Nov 2017 16:50:12 +1000

duplicity (0.7.14-1) unstable; urgency=low

  * New upstream release
  * dependencies adjusted to accept both gnupg 2 and 1

 -- Alexander Zangerl <az@debian.org>  Mon, 25 Sep 2017 18:57:34 +1000

duplicity (0.7.13.1-2) unstable; urgency=medium

  * explicitly depend on gnupg (closes: #873162)

 -- Alexander Zangerl <az@debian.org>  Sat, 26 Aug 2017 04:35:29 +1000

duplicity (0.7.13.1-1) unstable; urgency=low

  * New upstream release
  * recommend python-pexpect (same as python-paramiko) (closes: #866062)
  * run test suite during build (closes: #861703)
  * new rules file using mostly just dh

 -- Alexander Zangerl <az@debian.org>  Thu, 24 Aug 2017 21:20:27 +1000

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/duplicity/duplicity-([0-9.]+[a-zA-Z]*)\.tar\.gz

## duplicity 0.7.18.1

=== debian/changelog ===
duplicity (0.7.18.1-1) unstable; urgency=medium

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Tue, 28 Aug 2018 20:45:38 +1000

duplicity (0.7.17-2) unstable; urgency=high

  * applied upstream patch to work around changed gnupg behaviour wrt.
    MDC (closes: #906427)
  * minor manpage amendment (closes: #900807)

 -- Alexander Zangerl <az@debian.org>  Mon, 20 Aug 2018 18:55:44 +1000

duplicity (0.7.17-1) unstable; urgency=medium

  * New upstream release
  * added suggests for python-pip, as duplicity now relies
    on unpackaged external modules for some
    (commercial) storage backends.
  * warning about external backblaze b2 modules added to News
    (closes: #890645)

 -- Alexander Zangerl <az@debian.org>  Sun, 18 Mar 2018 17:48:02 +1000

## duplicity 0.7.18.2

=== debian/changelog ===
duplicity (0.7.18.2-1) unstable; urgency=medium

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Fri, 26 Oct 2018 18:06:03 +1000

=== debian/control ===
Source: duplicity
Section: utils
Priority: optional
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 9.0.0), librsync-dev (>=0.9.6), python-dev (>= 2.6.6-3), dh-python, python-setuptools, rdiff, gnupg | gnupg1, par2, python-lockfile (>> 0.9), python-mock, python-pexpect, python-fasteners
Standards-Version: 4.1.3.0
X-Python-Version: >= 2.5
Homepage: http://duplicity.nongnu.org/


Package: duplicity
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-lockfile (>> 1:0.9), python-fasteners, gnupg | gnupg1
Recommends: rsync, python-paramiko, python-pexpect, python-urllib3, python-oauthlib
Suggests: python-boto, ncftp, python-cloudfiles, lftp, python-gdata, tahoe-lafs, python-swiftclient, python-pip
Description: encrypted bandwidth-efficient backup
 Duplicity backs directories by producing encrypted tar-format volumes
 and uploading them to a remote or local file server. Because duplicity
 uses librsync, the incremental archives are space efficient and only
 record the parts of files that have changed since the last backup.
 Because duplicity uses GnuPG to encrypt and/or sign these archives, they
 will be safe from spying and/or modification by the server.

=== debian/rules ===
#!/usr/bin/make -f
PYVERS = $(shell pyversions -r -v)

%:
	dh $@ --with python2

# this does not seem to help setup.py test - it STILL builds and uses .pyc and .so files in duplicity...
# python sucks.
override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x;\
	for py in $(PYVERS); do \
  PYTHONPATH=$(CURDIR)/build/lib.*-$$py  python$$py ./setup.py test ;\
  done
endif

override_dh_auto_install:
	dh_auto_install

# docs in just one place, /usr/share/doc/duplicity.
	rm -r debian/duplicity/usr/share/doc/duplicity-*

override_dh_clean:
	dh_clean
# the test suite leaves a mess behind 
	rm -f testing/gnupg/random_seed duplicity/_librsync.so

## duplicity 0.8.04

=== requirements.txt ===
##### basic requirements #####

fasteners
future
mock
requests
urllib3


##### testing libraries #####

coverage
pexpect
pycodestyle
pylint
pytest
pytest-cov
pytest-runner
sphinx
tox


##### backend libraries #####

# azure
# b2
# b2sdk
# boto
# dropbox==6.9.0
# gdata
# jottalib
# mediafire
# paramiko
# pydrive
# pyrax
# python-cloudfiles
# python-swiftclient
# requests_oauthlib

=== debian/changelog ===
duplicity (0.8.04-2ubuntu1) eoan; urgency=medium

  * Build-depend on pylint which is now python3, not pylint3.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 25 Sep 2019 15:28:02 -0700

duplicity (0.8.04-2) unstable; urgency=high

  * updated control x-python-version from 3.5 to 3.7,
    as building on 3.5 fails (lots of testsuite kabooms)
  * fixed statement ordering in ssh-pexpect backend (closes: #940986)

 -- Alexander Zangerl <az@debian.org>  Mon, 23 Sep 2019 10:56:31 +1000

duplicity (0.8.04-1) unstable; urgency=high

  * New upstream release (closes: #936458, #929949)
  * duplicity is now built for python 3
  * updated package depends and suggests
  * test suite has been patched to skip various problematic tests
  * python 2 no longer supported (closes: #868262)

 -- Alexander Zangerl <az@debian.org>  Mon, 23 Sep 2019 00:41:52 +1000

=== debian/control ===
Source: duplicity
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 10.0.0), librsync-dev (>=0.9.6), python3-dev, dh-python, python3-setuptools, rdiff, gnupg | gnupg1, par2, python3-lockfile, python3-mock, python3-pexpect, python3-fasteners, python3-requests, python3-urllib3, python3-coverage, python3-pycodestyle, pylint, python3-pytest, python3-pytest-runner, python3-pytest-cov, tox, python3-future, rename, rsync
Standards-Version: 4.1.3.0
Homepage: http://duplicity.nongnu.org/
X-Python3-Version: >= 3.7

Package: duplicity
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, python3-lockfile, python3-fasteners, gnupg | gnupg1
Recommends: rsync, python3-paramiko, python3-pexpect, python3-urllib3, python3-oauthlib
Suggests: python3-boto, ncftp, lftp, tahoe-lafs, python3-swiftclient, python3-pip, par2
Description: encrypted bandwidth-efficient backup
 Duplicity backs directories by producing encrypted tar-format volumes
 and uploading them to a remote or local file server. Because duplicity
 uses librsync, the incremental archives are space efficient and only
 record the parts of files that have changed since the last backup.
 Because duplicity uses GnuPG to encrypt and/or sign these archives, they
 will be safe from spying and/or modification by the server.

=== debian/rules ===
#!/usr/bin/make -f
PYVERS = $(shell py3versions -rv)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x;\
	for py in $(PYVERS); do \
  PYTHONPATH=$(CURDIR)/build/lib.*-$$py  python$$py ./setup.py test ;\
  done
endif

override_dh_auto_build:
	set -ex; for py in $(PYVERS); do \
	python$$py setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install
# docs in just one place, /usr/share/doc/duplicity.
	rm -r debian/duplicity/usr/share/doc/duplicity-*

override_dh_clean:
	dh_auto_clean
	dh_clean
# the test suite leaves a mess behind 
	rm -f testing/gnupg/random_seed duplicity/_librsync*.so
	rm -rf .cache .eggs testing/testfiles build

## duplicity 0.8.08

=== debian/changelog ===
duplicity (0.8.08-1) unstable; urgency=medium

  * new upstream release
  * upstream has disabled the test suite (closes: #945423)

 -- Alexander Zangerl <az@debian.org>  Sun, 29 Dec 2019 11:43:53 +1000

duplicity (0.8.07-1) unstable; urgency=medium

  * new upstream version
  * removed one 'is <literal>' instance (closes: #944765)

 -- Alexander Zangerl <az@debian.org>  Sun, 17 Nov 2019 11:07:13 +1000

duplicity (0.8.05-3) unstable; urgency=medium

  * applied patch to properly handle the interaction between
    resumed backup, passphrase and/or encryption/sign key (closes: #944512)
  * applied patch for giobackend type errors (closes: #944427)
  * applied patch for pcabackend type errors (closes: #944317)

 -- Alexander Zangerl <az@debian.org>  Thu, 14 Nov 2019 19:32:08 +1000

duplicity (0.8.05-2) unstable; urgency=medium

  * build-depend on pylint, not pylint3 (closes: #943541)
  * build-depend on python3-all-dev (closes: #943741)
  * applied more patches from upstream to fix
  	the backblaze backend properly (closes: #942593)

 -- Alexander Zangerl <az@debian.org>  Sat, 26 Oct 2019 15:47:10 +1000

duplicity (0.8.05-1) unstable; urgency=medium

  * New upstream release (closes: #942593)

 -- Alexander Zangerl <az@debian.org>  Tue, 22 Oct 2019 19:52:00 +1000

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,16 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	set -e -x;\
-	for py in $(PYVERS); do \
-  PYTHONPATH=$(CURDIR)/build/lib.*-$$py  python$$py ./setup.py test ;\
-  done
-endif
+# Disabling autotest.  I have run tests on all Ubuntu releases since 18.04, so the code works.
+# To run tests manually, run tox from the main directory.  Maybe LP build will work again soon.
+#      ./setup.py test
+#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+#	set -e -x;\
+#	for py in $(PYVERS); do \
+#  TOXPYTHON=python$$py \
+#  PYTHONPATH=$(CURDIR)/build/lib.*-$$py  python$$py ./setup.py test ;\
+#  done
+#endif
 
 override_dh_auto_build:
 	set -ex; for py in $(PYVERS); do \
